com.singularsys.jep.walkers

## Class PrefixTreeDumper

- java.lang.Object
- - com.singularsys.jep.walkers.PrefixTreeWalker
  - - com.singularsys.jep.walkers.PrefixTreeDumper

-     public class PrefixTreeDumper
      extends PrefixTreeWalker

  Dumps the contents of a tree to a specified stream, or to standard output. Use this class by calling the walk method.
  Author:
    Richard Morris

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixTreeDumper()`
    `PrefixTreeDumper(java.io.PrintStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(Node node)`
    `protected void` | `output(Node n, int depth1)`
    `protected void` | `visit(ASTConstant node, int nchildren, int depth1)`
    `protected void` | `visit(ASTFunNode node, int nchildren, int depth1)`
    `protected void` | `visit(ASTOpNode node, int nchildren, int depth1)`
    `protected void` | `visit(ASTVarNode node, int nchildren, int depth1)`

    - ### Methods inherited from class com.singularsys.jep.walkers.PrefixTreeWalker

      `walk`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixTreeDumper

          public PrefixTreeDumper()

    - #### PrefixTreeDumper

          public PrefixTreeDumper(java.io.PrintStream stream)

  - ### Method Detail

    - #### dump

          public void dump(Node node)
                    throws JepException

      Throws:
        `JepException`

    - #### visit

          protected void visit(ASTConstant node,
                               int nchildren,
                               int depth1)

      Specified by:
        `visit` in class `PrefixTreeWalker`

    - #### visit

          protected void visit(ASTFunNode node,
                               int nchildren,
                               int depth1)

      Specified by:
        `visit` in class `PrefixTreeWalker`

    - #### visit

          protected void visit(ASTOpNode node,
                               int nchildren,
                               int depth1)

      Specified by:
        `visit` in class `PrefixTreeWalker`

    - #### visit

          protected void visit(ASTVarNode node,
                               int nchildren,
                               int depth1)

      Specified by:
        `visit` in class `PrefixTreeWalker`

    - #### output

          protected void output(Node n,
                                int depth1)

Copyright © 2018 Singular Systems http://www.singularsys.com/jep